<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of ePUBmaker, a plugin for Dotclear 2.
# 
# Copyright (c) 2012 Osku and contributors
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# -- END LICENSE BLOCK ------------------------------------
if (!defined('DC_RC_PATH')) { return; }

// Toolbox main class (export, zip, mail) :
$__autoload['ePUBtools']		= dirname(__FILE__).'/inc/class.epub.tools.php';
$__autoload['ePUBmaker']		= dirname(__FILE__).'/inc/class.epub.maker.php';
$__autoload['ePUBtemplate']	= dirname(__FILE__).'/inc/class.epub.template.php';
$__autoload['fileZipFork']	= dirname(__FILE__).'/inc/class.zip.fork.php';

$core->blog->settings->addNameSpace('epubmaker');
$settings =& $core->blog->settings->epubmaker;

if ($settings->dir == '') {
	// Initialize backup dirname
	// Invisible setting 
	$settings->put('dir','.epub-files-'.md5(uniqid()),'string','ePUB files cache dirname');
}

if (!preg_match('/plugin.php\?p=ePUBmaker(.*)?$/',$_SERVER['REQUEST_URI'])) {
	$core->addBehavior('coreMediaConstruct',array('ePUBMakerPrependBehaviors','coreMediaConstruct'));
}

class ePUBMakerPrependBehaviors
{
	public static function coreMediaConstruct($media)
	{
		global $core;
		$media->addExclusion(
			path::real($core->blog->public_path).'/'.$core->blog->settings->epubmaker->dir
		);
	}
}
?>